View Issue Details

IDProjectCategoryView StatusLast Update
0000097OpenMPT[All Projects] Generalpublic2011-07-07 20:22
ReportercytrekAssigned ToSaga Musix 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product VersionOpenMPT 1.18.03.00 (upgrade first) 
Target VersionOpenMPT 1.19.03.00 (upgrade first)Fixed in VersionOpenMPT 1.19.03.00 (upgrade first) 
Summary0000097: OpenMPT closes/crashes after "export as mp3"
Description

after doing an "export as mp3" and trying to do another "export as mp3" on another module , OpenMPt exits/closes.

Steps To Reproduce

load a module. select "export as mp3". after finished, load another module and do an "export as mp3" again. program exits.

Additional Information

Don't know if this has anything to do with the "lame_enc.dll" I'm using.

TagsNo tags attached.
Has the bug occurred in previous versions?1.18.00.00
Tested code revision (in case you know it)

Activities

jmkz

jmkz

2011-04-02 20:00

reporter   ~0000128

Last edited: 2011-04-02 21:14

View 3 revisions

This bug is already reported on forum for v1.17.02.54: http://forum.openmpt.org/index.php?topic=3285.0 and also exist for the current 1.19.1 release.

Saga Musix

Saga Musix

2011-06-30 06:12

administrator   ~0000230

Revision 908 should fix this; please try http://sagagames.de/stuff/mptrack.exe to confirm.

Saga Musix

Saga Musix

2011-07-01 23:00

administrator   ~0000231

Revision 910 brings further fixes for this issue (which could have arised with ACM codecs).

cytrek

cytrek

2011-07-07 20:21

reporter   ~0000246

Revision 908 fixes issue! thank you.

Issue History

Date Modified Username Field Change
2011-03-30 20:59 cytrek New Issue
2011-04-02 20:00 jmkz Note Added: 0000128
2011-04-02 20:01 jmkz Note Edited: 0000128 View Revisions
2011-04-02 21:14 jmkz Note Edited: 0000128 View Revisions
2011-06-30 06:00 Saga Musix Assigned To => Saga Musix
2011-06-30 06:00 Saga Musix Status new => assigned
2011-06-30 06:12 Saga Musix Note Added: 0000230
2011-06-30 06:12 Saga Musix Fixed in Version => OpenMPT 1.19.02.* (old testing)
2011-06-30 06:12 Saga Musix Target Version => OpenMPT 1.19.03.00 (upgrade first)
2011-07-01 23:00 Saga Musix Note Added: 0000231
2011-07-07 20:21 cytrek Note Added: 0000246
2011-07-07 20:22 Saga Musix Status assigned => resolved
2011-07-07 20:22 Saga Musix Resolution open => fixed